<template>
  <div :id="cid" class="w-full shadow rounded"></div>
</template>

<script lang="ts">
import { BarChart } from "@/charts/BarChart";
import Vue from "vue";

export default Vue.extend({
  props: {
    cid: { type: String, required: true },
    colors: { type: Array, default: () => [] },
    width: { type: String, default: "100%" },
    height: { type: Number, default: 220 }
  },
  mounted() {
    new BarChart({ selector: `#${this.cid}`, height: this.height }).draw();
  }
});
</script>

<style lang="scss" scoped>
div {
  background-image: linear-gradient(90deg, #00369e, #005cfd, #a18dff);
  display: block;
  box-sizing: border-box;
}
</style>
